System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The class specifies the design-time expression editor for the expressions that are handled by an class.

When editing a control property, you can set the property value to an expression by using an editor for the expression.

When developing an expression builder, you can mark the builder with the attribute to set the editor type value.

Specifies the design-time editor of the expression builder. This class cannot be inherited.

- Constructor

  Use the constructor to initialize an instance of the class using a type name. To initialize the class using a type object, use the constructor.

  Initializes a new instance of the class using the specified type name.

  The name of the type to associate with the .
  2.0.0.0
- Constructor

  Use the constructor to initialize an instance of the class using a type object. To initialize the class using a type name, use the constructor.

  Initializes a new instance of the class using the specified type object.

  The type reference to associate with the .
  2.0.0.0
- Property
  System.String To be added.

  Use the property to retrieve the name of the type of editor that is associated with this instance of the class.

  Used by an expression editor to retrieve the editor type name.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether this instance of the class and a specified object are equal.

  true if value is not null and is equal; otherwise, false.

  An instance of the class or a class that derives from it. 2.0.0.0
- Method
  System.Int32

  The value of an attribute is the value of its property.

  Retrieves the hash code for the value of this attribute.

  The hash code of the value of this .

  2.0.0.0